/**
 * Theme Name: Bienen-Studio (Storefront Child)
 * Template: storefront
 */

/** Base */

body {
	/*background-color:#eeb;*/
	background-color:#fec;
	color:#333;
}
@media (prefers-color-scheme:dark) {
	body {
		background-color:#0f0500;
		color:#ccc;
	}
}

@media (prefers-color-scheme:dark) {
	:is(h1, h2, h3, h4, h5, h6) {
		color:#ccc;
	}
}

/* Links, Inputs, Forms */

a {
	color:#f80;
}

input[type=text],
input[type=number],
input[type=email],
input[type=tel],
input[type=url],
input[type=password],
input[type=search],
textarea,
.input-text {
	background-color:#fc48;
}

.woocommerce-tabs ul.tabs li.active a,
ul.products li.product .price,
.onsale,
.wc-block-grid__product-onsale,
.widget_search form:before,
.widget_product_search form:before {
	color:#333;
}

a:focus,
button:focus,
.button.alt:focus,
input:focus,
textarea:focus,
input[type="button"]:focus,
input[type="reset"]:focus,
input[type="submit"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus {
	outline-color:#f80;
}




/** Header */

@media (min-width:768px) {
	.site-header .site-branding {
		position:relative;
		left:50%;
		top:-10px;
		transform:translateX(-50%);
	}
	.storefront-secondary-navigation .site-header .site-branding {
		width:auto;
	}

	.home.blog .site-header,
	.home.page:not(.page-template-template-homepage) .site-header,
	.home.post-type-archive-product .site-header {
		margin-bottom:8em;
	}
	@media (prefers-color-scheme:dark) {
		.site-header {
			border-bottom-color:#333;
		}
	}
}

/* Logo */

.site-branding {
	width:auto;
}

.site-logo-link,
.custom-logo-link {
	/*
	clip-path:polygon(25% 5%, 75% 5%, 97% 26%,100% 50%, 75% 95%, 24% 95%,-1% 50%,3% 26%);
	clip-path:polygon(25% 5%, 76% 4%, 98% 26%,102% 50%, 75% 95%, 25% 97%,-1% 50%,3% 26%);
	*/
	clip-path:polygon(27% 5%, 74% 5%, 97% 26%,103% 50%, 77% 95%, 26% 95%,0% 50%,4% 26%);
}

.site-logo-link:focus,
.site-logo-link:hover,
.custom-logo-link:focus,
.custom-logo-link:hover {
	filter:drop-shadow(3px 2px 2px #000);
}

/* Nav primary */

@media (min-width:768px) {
	.storefront-primary-navigation {
		background-color:#c408;
	}
}

.main-navigation ul li a,
.site-title a,
ul.menu li a,
.site-branding h1 a,
button.menu-toggle,
button.menu-toggle:hover,
.handheld-navigation .dropdown-toggle {
	color:#000;
}

.main-navigation ul li a:hover,
.main-navigation ul li:hover > a,
.site-title a:hover,
.site-header ul.menu li.current-menu-item > a,
/* Mobile nav */
.main-navigation .current_page_item a {
	color:#000;
	text-shadow:0 0 0.5px #000;
}

a.cart-contents:hover,
.site-header-cart .widget_shopping_cart a:hover,
.site-header-cart:hover > li > a {
	color:#333;
}




/** Main */

/* Heading, Post image */

.hentry .wp-post-image {
	float:right;
	width:40%;
}

@media (min-width:768px) {
	.hentry.has-post-thumbnail .entry-title:has(+ img) {
		float:left;
		margin-right:10%;
		width:50%;
}




/* Products */

@media (prefers-color-scheme:dark) {
	.wc-block-grid__product-title {
		color:#ccc;
	}
}




/** Footer */

@media (prefers-color-scheme:dark) {
	.site-footer {
		background-color:#310;
		color:#ccc;
	}
	
	.site-footer a:not(.button):not(.components-button) {
		color:#fff;
	}
	
	@media (min-width:768px) {
		.secondary-navigation ul.menu a:hover {
			color:#ccc;
		}
	}
}
